<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")


        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM custompages WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    headname.Text = pd.ReadData("headname")
                    metatitle.Text = pd.ReadData("metatitle")
                    metadesc.Value = pd.ReadData("metadesc")
                    metakeyw.Value = pd.ReadData("metakeyw")
                    metaurl.Text = pd.ReadData("metaurl")

                    'Custom Page URL
                    tempurl.Text = pd.getcustomurl(id, headname.Text, metaurl.Text)
                    
                    If pd.demomode = "Yes" Then
                        tempurl.Text = "http://your domain name here/your-unique-url-to-page-here/"
                    End If
                    
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
            Else
                'Default values when adding new record.

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                
                'Make sure no duplicate Urls exists.             
                If pd.urlrewriteon = "ON" And Len(metaurl.Text) > 0 Then
                    pd.OpenDataReader("SELECT id FROM custompages WHERE metaurl='" & pd.FormatSqlText(metaurl.Text) & "'")
                    If pd.ReadDataItem.Read Then
                        pd.formerror = "Friendly Url Name already used, Item cannot be updated!"
                    End If
                    pd.CloseData()
                End If
                
                'Add New Record
                pd.OpenDataWriter("custompages")
            Else
                
                'Make sure no duplicate Urls exists.             
                If pd.urlrewriteon = "ON" And Len(metaurl.Text) > 0 Then
                    pd.OpenDataReader("SELECT id FROM custompages WHERE id<>" & id & " AND metaurl='" & pd.FormatSqlText(metaurl.Text) & "'")
                    If pd.ReadDataItem.Read Then
                        pd.formerror = "Friendly Url Name already used, Item cannot be updated!"
                    End If
                    pd.CloseData()
                End If
                                
                'Update Existing Record
                pd.OpenDataWriter("custompages WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("headname", headname.Text, "Name", "T", 1, 50)
            pd.AddFormData("metatitle", metatitle.Text, "Meta Name", "T", 0, 100)
            pd.AddFormData("metadesc", metadesc.Value, "Meta Description", "T", 0, 255)
            pd.AddFormData("metakeyw", metakeyw.Value, "Meta Keywords", "T", 0, 255)

            If pd.urlrewriteon = "ON" Then
                metaurl.Text = pd.checkmetaurl(metaurl.Text)
                pd.AddFormData("metaurl", metaurl.Text, "Meta Url-ReWrite", "T", 0, 100)
            End If
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then

                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                pd.clearpdshopcache()

                'Create Menu Tab/Link automatically
                If makemenu.Checked = True Then
                    pd.OpenDataWriter("menutabs")
                    pd.AddData("menulabel", headname.Text, "T")
                    pd.AddData("tabtype", 7, "N")
                    pd.AddData("catid", 0, "N")
                    pd.AddData("itemid", 0, "N")
                    pd.AddData("customid", tempid, "N")
                    pd.AddData("tabrow", 1, "N")
                    pd.AddData("tabpos", 1, "N")
                    pd.SaveData()
                End If

                'Custom Page URL
                tempurl.Text = pd.getcustomurl(id, headname.Text, metaurl.Text)
                
                If pd.demomode = "Yes" Then
                    tempurl.Text = "http://your domain name here/your-unique-url-to-page-here/"
                End If
                  
                pd.gotonextpage()

            End If

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM custompages WHERE id=" & id)
            pd.sqlexecute("DELETE FROM menutabs WHERE customid=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
            pd.clearpdshopcache()

        End If

    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">
        {
            pdshopalert('Custom page has been Deleted!', 'custompagelist.aspx');
        }
    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Details", "editcustompage.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Custom Page</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="headname" runat="server" /></div>
                <%  'Left column
                    If id <> "" Then
                %>
                <div class="formheading">
                    URL to this page</div>
                <div>
                    <asp:TextBox class="roformfield6" ID="tempurl" runat="server" /></div>
                <div>
                    <div class="formheading">
                        <a href="javascript: editcolors('custom<%=id%>')">
                            <img src="img/butt-admin-edit.gif" alt="" /></a> Page Heading</div>
                    <div class="formheading">
                        <a href="javascript: editdetail('<%=id%>')">
                            <img src="img/butt-admin-edit.gif" alt="" /></a> Custom Page Layout
                    </div>
                </div>
                <div class="pageheading2">
                    Page Content</div>
                <div>
                    <div class="formheading">
                        <a href="javascript: popeditor('custompage','<%=id%>','500')">
                            <img src="img/butt-admin-edit.gif" alt="" /></a> Edit with Content Editor</div>
                </div>
                <div>
                    <div class="formheading">
                        <a href="javascript: poptexteditor('custompage','<%=id%>','500')">
                            <img src="img/butt-admin-edittext.gif" alt="" /></a> Edit as Plain Text/Raw
                        HTML</div>
                </div>
                <div class="pageheading2">
                    Meta-Tags</div>
                <div class="helptext">
                    Optional information that will appear in search engine listings.</div>
                <div class="formheading">
                    Page Title</div>
                <div>
                    <asp:TextBox class="formfield1" ID="metatitle" runat="server" /></div>
                <div class="formheading">
                    Page Description</div>
                <div>
                    <textarea class="formtextarea" rows="6" id="metadesc" cols="50"   runat="server" /></div>
                <div class="formheading">
                    Keywords</div>
                <div>
                    <textarea class="formtextarea" rows="6" id="metakeyw" cols="50"   runat="server" /></div>
                <% If pd.urlrewriteon = "ON" Then%>
                <div class="formheading">
                    Re-Write/Friendly Url Name</div>
                <div>
                    <asp:TextBox class="formfield6" ID="metaurl" runat="server" /></div>
                <div class="helptext">
                    Optional folder/Path, for example entering "your-page-name" would mean the Url would
                    be similiar to this "www.yourshop.com/page.aspx/your-page-name/"</div>
                <% End If%>
                <%Else%>
                <div class="check_div">
                    <asp:CheckBox ID="makemenu" runat="server" />Automatically create a Menu/Link?</div>
                <%End If%>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes" />Delete this Custom Page?</div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
