<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, disccode, deleterecord, confirmdelete, helppage As String
    Public giftamt, spentamt As Double

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM giftcert WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    orderid = pd.ReadDataN("orderid")
                    code.Text = pd.ReadData("code")
                    disccode = pd.ReadData("code")
                    status.SelectedIndex = status.Items.IndexOf(status.Items.FindByValue(pd.ReadDataN("status")))

                    sentto.Text = pd.ReadData("sentto")
                    sentfrom.Text = pd.ReadData("sentfrom")
                    amount.Text = pd.ReadDataC("amount")
                    giftamt = pd.ReadDataN("amount")
                    form_message.Value = pd.ReadData("message")

                    If pd.ReadDataN("method") = 1 Then method1.Checked = True
                    If pd.ReadDataN("method") = 2 Then method2.Checked = True

                    recipemail.Text = pd.ReadData("recipemail")
                    recipname.Text = pd.ReadData("recipname")
                    recipstreet1.Text = pd.ReadData("recipstreet1")
                    recipstreet2.Text = pd.ReadData("recipstreet2")
                    recipcity.Text = pd.ReadData("recipcity")
                    recipzip.Text = pd.ReadData("recipzip")
                    recipstate.Text = pd.ReadData("recipstate")
                    recipcountry.Text = pd.ReadData("recipcountry")

                Else
                    pd.showErrorMessage("Record Not Found")
                    orderid = 0
                End If
                pd.CloseData()

                'Get Order Related
                If orderid > 0 Then
                    pd.OpenDataReader("SELECT shipname, orderno FROM orders WHERE id=" & orderid)
                    If pd.ReadDataItem.Read Then
                        purchaser.Text = pd.ReadData("shipname")
                        orderno.Text = pd.ReadDataN("orderno")
                    Else

                    End If
                    pd.CloseData()
                End If

                'Get Redeemed Amount & Available Balance
                amountredeem.Text = pd.shownumD(pd.getGCRedeemed(disccode)) 'must be first
                amountavail.Text = pd.shownumD(pd.getGCBalance(disccode))


            Else
                'Default values when adding new record.
                amount.Text = pd.showNumC(0)
                method1.Checked = True

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("giftcert")
            Else
                'Update Existing Record
                pd.OpenDataWriter("giftcert WHERE id=" & id)
            End If

            pd.AddFormData("code", code.Text, "Code", "T", 1, 50)
            pd.AddFormData("status", status.SelectedItem.Value, "", "N", 0, 0)
            pd.AddFormData("sentto", sentto.Text, "To", "T", 0, 50)
            pd.AddFormData("sentfrom", sentfrom.Text, "From", "T", 0, 50)
            pd.AddFormData("amount", amount.Text, "Amount", "C", 0, 0)
            pd.AddFormData("message", form_message.Value, "Message", "T", 0, 255)
            If method1.Checked = True Then
                pd.AddData("method", "1", "N")
            Else
                pd.AddData("method", "2", "N")
            End If

            pd.AddFormData("recipemail", recipemail.Text, "Email", "E", 0, 50)
            pd.AddFormData("recipname", recipname.Text, "Recipient Name", "T", 0, 50)
            pd.AddFormData("recipstreet1", recipstreet1.Text, "Street", "T", 0, 50)
            pd.AddFormData("recipstreet2", recipstreet2.Text, "Street", "T", 0, 50)
            pd.AddFormData("recipstate", recipstate.Text, "State", "T", 0, 50)
            pd.AddFormData("recipcity", recipcity.Text, "City", "T", 0, 50)
            pd.AddFormData("recipcountry", recipcountry.Text, "Country", "T", 0, 50)
            pd.AddFormData("recipzip", recipzip.Text, "Zip/Postal Code", "T", 0, 50)


            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                 
                pd.gotonextpage()
                 
                 
            End If

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM giftcert WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
        End If

    End Sub




</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">

        pdshopalert('Gift Card/Certificate has been deleted!', 'editgiftcert.aspx');

    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Details", "editgiftcert.aspx?id=" & id)
                    pd.createadmintab("Usage", "editgiftcert-usage.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Edit Gift Card/Certificate</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Purchased by</div>
                <div>
                    <asp:TextBox class="roformfield1" ReadOnly="true" ID="purchaser" runat="server" />
                </div>
                <div class="formheading">
                    Order No</div>
                <div>
                    <asp:TextBox class="roformfield1" ReadOnly="true" ID="orderno" runat="server" />
                </div>
                <div class="formheading">
                    Card/Certificate Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="code" runat="server" />
                </div>
                <div class="formheading">
                    Status</div>
                <div>
                    <asp:DropDownList ID="status" runat="server">
                        <asp:ListItem Value="1" Text="New" />
                        <asp:ListItem Value="2" Text="Sent" />
                        <asp:ListItem Value="3" Text="Redeemed (Partial)" />
                        <asp:ListItem Value="4" Text="Redeemed" />
                    </asp:DropDownList>
                </div>
                <div class="helptext">
                    Note: GC can only be redeemed online if status is &quot;Sent&quot; or &quot;Redeemed
                    (Partial)&quot;.</div>
                <div class="formheading">
                    Sent To</div>
                <div>
                    <asp:TextBox class="formfield1" ID="sentto" runat="server" />
                </div>
                <div class="formheading">
                    From</div>
                <div>
                    <asp:TextBox class="formfield1" ID="sentfrom" runat="server" />
                </div>
                <div class="formheading">
                    Card/Certificate Amount</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="amount" runat="server" />
                </div>
                <div class="formheading">
                    Amount Redeemed</div>
                <div>
                    <asp:TextBox class="roformfieldnumber" ReadOnly="true" ID="amountredeem" runat="server" />
                    &nbsp;<a href="javascript: <%=pd.nextpagefunction%>('editgiftcert-usage.aspx?id=<%=id%>')" /><img
                        src="img/butt-admin-edit.gif"></a></div>
                <div class="formheading">
                    Amount Available</div>
                <div>
                    <asp:TextBox class="roformfieldnumber" ReadOnly="true" ID="amountavail" runat="server" />
                </div>
                <div class="formheading">
                    Message</div>
                <div>
                    <textarea class="formtextarea" rows="6" id="form_message" cols="30"  
                        runat="server" /></div>
                <div class="pageheading2">
                    Electronic Certificate (Gift Card)</div>
                <div class="inner_div">
                    <div class="radio_div">
                        <asp:RadioButton GroupName="method" ID="method1" runat="server" />
                        Send via Email</div>
                    <div class="formheading">
                        Receipient Email</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="recipemail" runat="server" />
                    </div>
                    <%If IsNumeric(id) Then%>
                    <div class="button_div">
                        <input type="button" class="formbutton" onclick="sendemail('GC','<%=id%>')" value="Send Now by Email"></div>
                    <%End If%>
                </div>
                <div class="pageheading2">
                    Paper Certificate</div>
                <div class="inner_div">
                    <div class="radio_div">
                        <asp:RadioButton GroupName="method" ID="method2" runat="server" />
                        Send by Mail</div>
                    <div class="formheading">
                        Recipient Name</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="recipname" runat="server" />
                    </div>
                    <div class="formheading">
                        Address</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="recipstreet1" runat="server" />
                    </div>
                    <div>
                        <asp:TextBox class="formfield1" ID="recipstreet2" runat="server" />
                    </div>
                    <div class="formheading">
                        City</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="recipcity" runat="server" />
                    </div>
                    <div class="formheading">
                        State/Province</div>
                    <div>
                        <asp:TextBox class="formfieldnumber" ID="recipstate" runat="server" />
                    </div>
                    <div class="formheading">
                        Zip/Postal Code</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="recipzip" runat="server" />
                    </div>
                    <div class="formheading">
                        Country</div>
                    <div>
                        <asp:TextBox class="formfield1" ID="recipcountry" runat="server" />
                    </div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes"></div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes">Delete this Gift Card/Certificate?</div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
