<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************
    
    
    Public Shadows id, closewin, deleterecord, confirmdelete, helppage As String
    
    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)
    
        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(1)
        helppage = ""
    
        'Get Record IDs
        id = pd.getrequest("id")
    
        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If
    
        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")
    
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
         
            'Get Country List
            country.DataSource = pd.getcountrylist()
            country.DataBind()
         
            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * From states WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                    name.Text = pd.ReadData("name")
                    abbr.Text = pd.ReadData("abbr")
                    taxrate.Text = pd.ReadDataN("taxrate")
                    If pd.ReadData("taxship") = "Y" Then taxship.Checked = True
                    country.SelectedIndex = country.Items.IndexOf(country.Items.FindByValue(pd.ReadDataN("countryid")))
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
            Else
                taxrate.Text = 0
                If IsNumeric(pd.getrequest("countryid")) Then
                    country.SelectedIndex = country.Items.IndexOf(country.Items.FindByValue(pd.getrequest("countryid")))
                End If
            End If
    
        End If
    
        'Update/Add Record if form is posted
        If Page.IsPostBack Then
    
            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("states")
            Else
                'Update Existing Record
                pd.OpenDataWriter("states WHERE id=" & id)
            End If
    
            'Text Input
            pd.AddFormData("name", name.Text, "Name", "T", 1, 50)
            pd.AddFormData("abbr", abbr.Text, "Abbreviation", "T", 1, 4)
            pd.AddFormData("taxrate", taxrate.Text, "Tax Rate", "N", 0, 0)
            pd.AddFormData("countryid", country.SelectedItem.Value, "Country", "N", 0, 0)
    
            If taxship.Checked = True Then
                pd.AddData("taxship", "Y", "T")
            Else
                pd.AddData("taxship", "", "T")
            End If
    
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                pd.gotonextpage()
            End If
    
        End If
    
        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM states WHERE id=" & id)
            pd.pdRedirect("setup-states.aspx")
        End If
    
    End Sub
    

</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    If pd.adminlevel = 1 Then pd.createadmintab("Settings", "setup-statecountry.aspx")
                    pd.createadmintab("Countries", "setup-countries.aspx")
                    pd.createadmintab("States/Provinces/Regions", "setup-states.aspx")
                    pd.createadmintab("Taxes", "setup-taxes.aspx")
                    pd.createadmintab("Edit", "")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Edit State/Province/Region</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Country: (where state is located)</div>
                <div>
                    <asp:DropDownList ID="country" runat="server" DataValueField="id" DataTextField="name" />
                    </asp:DropDownList></div>
                <div class="formheading">
                    Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="name" runat="server" />
                </div>
                <div class="formheading">
                    Abbreviation</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="abbr" runat="server" />
                </div>
                <div class="formheading">
                    Tax Rate</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="taxrate" runat="server" />
                </div>
                <div class="check_div">
                    <asp:CheckBox ID="taxship" runat="server" />
                    Tax Shipping/Handling</div>
                <div class="helptext">
                    (Check this box to have above Tax Rate also applied to Shipping & Handling charges)</div>
                <div class="formbutton_div">
                    <asp:Button class="formbutton" Text="Save Changes" runat="server" />
                </div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div class="check_div">
                    <input type="checkbox" name="deleterecord" value="yes">Delete this Record?</div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
