<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, itemid, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(3)
        helppage = ""

        'Get Record IDs
        id = pd.getrequest("id")
        itemid = pd.getrequest("itemid")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM itemprices WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    fromqty.Text = pd.ReadDataN("fromqty")
                    toqty.Text = pd.ReadDataN("toqty")
                    price.Text = pd.ReadDataC("price")
                    saleprice.Text = pd.ReadDataC("saleprice")
                    form_message.Text = pd.ReadData("message")
                    discpct.Text = pd.ReadDataN("discpct")

                    'CheckBoxes
                    If pd.ReadDataN("method") = 0 Then method1.Checked = True
                    If pd.ReadDataN("method") = 1 Then method2.Checked = True

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

            Else
                'Default values when adding new record.
                fromqty.Text = 0
                toqty.Text = 0
                price.Text = pd.showNumC(0)
                saleprice.Text = pd.showNumC(0)
                discpct.Text = 0
                method1.Checked = True
            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("itemprices")
                pd.AddData("itemid", itemid, "N")
            Else
                'Update Existing Record
                pd.OpenDataWriter("itemprices WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("fromqty", fromqty.Text, "From QTY", "N", 0, 0)
            pd.AddFormData("toqty", toqty.Text, "To QTY", "N", 0, 0)
            pd.AddFormData("price", price.Text, "Price", "C", 0, 0)
            pd.AddFormData("saleprice", saleprice.Text, "Sale Price", "C", 0, 0)
            pd.AddFormData("discpct", discpct.Text, "Discount", "N", 0, 0)
            pd.AddFormData("message", form_message.Text, "Message", "T", 0, 50)

            If method1.Checked = True Then
                pd.AddData("method", "0", "T")
            Else
                pd.AddData("method", "1", "T")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM itemprices WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            closewin = "Y"
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="id" value="<%=id%>" />
        <input type="hidden" name="itemid" value="<%=itemid%>">
        <input type="hidden" name="task" value="<%=nexttask%>">
        <input type="hidden" name="optcatid" value="<%=optcatid%>">
        <div class="pageheading2">
            Volume/Qty Pricing</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If deleterecord = "yes" Then%>
        <div class="message">
            Are you sure you want to delete?<br />
            <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
            <a href="?id=<%=id%>">NO</a></div>
        <% End If%>
        <div class="formheading">
            Quantity Range</div>
        <div>
            <div class="formheading">
                From:
                <asp:TextBox class="formfieldnumber" ID="fromqty" runat="server" />
                To:
                <asp:TextBox class="formfieldnumber" ID="toqty" runat="server" />
            </div>
            <div class="formheading">
            </div>
        </div>
        <div class="formheading">
            Price or Discount</div>
        <div>
            <div class="formheading">
                <asp:RadioButton GroupName="method" ID="method1" runat="server" />
                Price:
                <asp:TextBox class="formfieldnumber" ID="price" runat="server" />
                Sale Price:
                <asp:TextBox class="formfieldnumber" ID="saleprice" runat="server" />
            </div>
            <div class="formheading">
            </div>
            <div class="formheading">
                <asp:RadioButton GroupName="method" ID="method2" runat="server" />
                Discount Percent:
                <asp:TextBox class="formfieldnumber" ID="discpct" runat="server" />
            </div>
        </div>
        <div class="formheading">
            Message</div>
        <div>
            <asp:TextBox class="formfield1" ID="form_message" runat="server" />
        </div>
        <% If pd.adminlevel = 1 And id <> "" Then%>
        <div class="check_div">
            <input type="checkbox" name="deleterecord" value="yes" />Delete?</div>
        <% End If%>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        </form>
    </div>
</asp:Content>
