<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, itemid, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(3)
        helppage = ""

        'Get Record IDs
        id = pd.getrequest("id")
        itemid = pd.getrequest("itemid")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * From optioncat WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    name.Text = pd.ReadData("name")
                    listord.Text = pd.ReadDataN("listord")

                    'TextAreas
                    heading.Value = pd.ReadData("heading")

                    'Drop Downs
                    opttype.SelectedIndex = opttype.Items.IndexOf(opttype.Items.FindByValue(pd.ReadData("opttype")))
                    If pd.ReadDataN("isreq") = 1 Then isreq.Checked = True
        
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
            Else
                'Default values when adding new record.
                listord.Text = 0

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("optioncat")
            Else
                'Update Existing Record
                pd.OpenDataWriter("optioncat WHERE id=" & id)
            End If

            'Text Input
            pd.AddData("itemid", itemid, "N")
            pd.AddFormData("name", name.Text, "Name", "T", 1, 50)
            pd.AddFormData("listord", listord.Text, "List Order", "N", 1, 50)

            'Text Areas
            pd.AddFormData("heading", heading.Value, "Heading", "T", 0, 255)

            'Drop Downs
            pd.AddFormData("opttype", opttype.SelectedItem.Value, "", "N", 0, 50)
            
            If isreq.Checked = True Then
                pd.AddData("isreq", "1", "N")
            Else
                pd.AddData("isreq", "0", "N")
            End If
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM optioncat WHERE id=" & id)
            pd.sqlexecute("DELETE FROM optionitem WHERE optcatid=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            closewin = "Y"
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="id" value="<%=id%>" />
        <input type="hidden" name="itemid" value="<%=itemid%>" />
        <div class="pageheading2">
            Option Group</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If deleterecord = "yes" Then%>
        <div class="message">
            Are you sure you want to delete?<br />
            <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
            <a href="?id=<%=id%>">NO</a></div>
        <% End If%>
        <div class="formheading">
            Option Group Name</div>
        <div>
            <asp:TextBox class="formfield1" ID="name" runat="server" />
        </div>
        <div class="formheading">
            Option Group Heading</div>
        <div>
            <textarea class="popupformtextarea" rows="3" id="heading" cols="30"  
                runat="server" /></div>
        <div class="formheading">
            Option Type</div>
        <div>
            <asp:DropDownList ID="opttype" runat="server">
                <asp:ListItem Value="0" Text="Drop Down" />
                <asp:ListItem Value="1" Text="Check Boxes" />
                <asp:ListItem Value="2" Text="Radio Buttons" />
                <asp:ListItem Value="3" Text="Text Input" />
                <asp:ListItem Value="4" Text="Monentary Input" />
            </asp:DropDownList>
        </div>
        <div class="formheading">
            List Order</div>
        <div>
            <asp:TextBox class="formfieldnumber" ID="listord" runat="server" />
        </div>
        <div class="check_div">
            <asp:CheckBox ID="isreq" runat="server" />
            Required?
        </div>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        <% If pd.adminlevel = 1 And id <> "" Then%>
        <div class="check_div">
            <input type="checkbox" name="deleterecord" value="yes" />Delete?</div>
        <% End If%>
        </form>
    </div>
</asp:Content>
