<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
            pd.OpenSetupDataReader("setupxml", "setup")

            form_cursym1.Text = pd.ReadData("cursym1")
            form_cursym2.Text = pd.ReadData("cursym2")
            form_curdec1.Text = pd.ReadData("curdec1")
            form_cursep1.Text = pd.ReadData("cursep1")
            form_numdec1.Text = pd.ReadData("numdec1")
            form_numsep1.Text = pd.ReadData("numsep1")
            form_datesep1.Text = pd.ReadData("datesep1")
            form_dateplaces1.SelectedIndex = form_dateplaces1.Items.IndexOf(form_dateplaces1.Items.FindByValue(pd.ReadData("dateplaces1")))

            'If pd.ReadData("urlen") = "Yes" Then urlen.checked = True
            If pd.ReadData("skipnumfmt") = "N" Then
                skipnumfmt2.Checked = True
            Else
                skipnumfmt1.Checked = True
            End If

            pd.CloseData()

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            'Text Input
            pd.AddFormData("cursym1", form_cursym1.Text, "Currency Symbol 1", "T", 0, 5)
            pd.AddFormData("cursym2", form_cursym2.Text, "Currency Symbol 2", "T", 0, 5)
            pd.AddFormData("curdec1", form_curdec1.Text, "Currency Decimal", "T", 1, 5)
            pd.AddFormData("cursep1", form_cursep1.Text, "Currency Separator", "T", 0, 5)
            pd.AddFormData("numdec1", form_numdec1.Text, "Number Decimal", "T", 1, 5)
            pd.AddFormData("numsep1", form_numsep1.Text, "Number Separator", "T", 0, 5)
            pd.AddFormData("datesep1", form_datesep1.Text, "Date Separator", "T", 1, 5)
            pd.AddFormData("dateplaces1", form_dateplaces1.SelectedItem.Value, "", "T", 0, 50)

            If skipnumfmt2.Checked = True Then
                pd.AddData("skipnumfmt", "N", "T")
            Else
                pd.AddData("skipnumfmt", "Y", "T")
            End If


            If form_curdec1.Text = form_cursep1.Text Then
                pd.formerror = "Currency Separator and Decimal must differ!"
            End If
            If form_numdec1.Text = form_numsep1.Text Then
                pd.formerror = "Numer Separator and Decimal must differ!"
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.gotonextpage()
            End If

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <div>
                <%
                    pd.createadmintab("Settings", "setup-formatting.aspx")
                    If pd.demomode = "Yes" Then
                    Else
                        pd.createadmintab("Troubleshooting", "setup-formatting2.aspx")
                    End If
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Number, Currency, Date Formatting</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="skipnumfmt" ID="skipnumfmt1" runat="server" />
                        Use web server Language/Regional settings?</div>
                    <div class="helptext">
                        (RECOMMENDED)</div>
                </div>
                <div>
                    <div class="radio_div">
                        <asp:RadioButton GroupName="skipnumfmt" ID="skipnumfmt2" runat="server" />
                        Use Re-Formatting Below</div>
                    <div class="helptext">
                        (Override your web server's regional number, currency, and date formatting settings,
                        with those below)</div>
                </div>
                <div class="pageheading2">
                    Currency</div>
                <div>
                    <div class="formheading">
                        1st Symbol:
                        <asp:TextBox class="formfield5" ID="form_cursym1" runat="server" />
                        Separator:
                        <asp:TextBox class="formfield5" ID="form_cursep1" runat="server" />
                        Decimal Symbol:
                        <asp:TextBox class="formfield5" ID="form_curdec1" runat="server" />
                        2nd Symbol:
                        <asp:TextBox class="formfield5" ID="form_cursym2" runat="server" />
                    </div>
                </div>
                <div class="pageheading2">
                    Numbers</div>
                <div>
                    <div class="formheading">
                        Separator:
                        <asp:TextBox class="formfield5" ID="form_numsep1" runat="server" />
                        Decimal Symbol:
                        <asp:TextBox class="formfield5" ID="form_numdec1" runat="server" />
                    </div>
                </div>
                <div class="pageheading2">
                    Dates</div>
                <div>
                    <div class="formheading">
                        Separator:
                        <asp:TextBox class="formfield5" ID="form_datesep1" runat="server" />
                        Format:
                        <asp:DropDownList ID="form_dateplaces1" runat="server">
                            <asp:ListItem Value="M/D/Y" Text="Month, Day, Year" />
                            <asp:ListItem Value="D/M/Y" Text="Day, Month, Year" />
                            <asp:ListItem Value="Y/M/D" Text="Year, Month, Day" />
                        </asp:DropDownList>
                    </div>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
