<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, modifyurl, customerid, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(1)

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")
        modifyurl = pd.getrequest("modifyurl")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then
            pd.OpenSetupDataReader("setupxml", "setup")

            form_url.Text = pd.ReadData("url")
            form_sslurl.Text = pd.ReadData("sslurl")
            
            If pd.ReadData("urlen") = "Yes" Then form_urlen.Checked = True
            If pd.ReadDataN("urlfix") = 1 Then form_urlfix.Checked = True
            
            'get default part of URL
            If pd.ReadData("url") = "" Then
                form_url.Text = "http://"
                form_sslurl.Text = "https://"
            End If

            pd.CloseData()

            If pd.pdm.shopactivated = "Y" And modifyurl <> "Y" Then
                form_url.ReadOnly = True
                form_url.Style.Add("background-color", "transparent")
            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenSetupDataWriter("setupxml", "setup")

            editurl = form_url.Text
            editsslurl = form_sslurl.Text

            'Fix URL link before proceeding
            If Right(editurl, 1) <> "/" Then
                editurl = editurl & "/"
            End If
            If InStr(editurl, "http://") = 0 And InStr(editurl, "https://") = 0 Then
                pd.formerror = pd.formerror + "URL must contain http:// or https:// !"
            End If
            ' Fix SSL Url
            If Right(editsslurl, 1) <> "/" Then
                editsslurl = editsslurl & "/"
            End If
            If form_urlen.Checked = True Then
                If InStr(editsslurl, "http://") = 0 And InStr(editsslurl, "https://") = 0 Then
                    pd.formerror = pd.formerror + "Secure URL must contain http:// or https:// !"
                End If
            End If

            'Text Input
            pd.AddFormData("url", editurl, "URL", "T", 1, 255)
            pd.AddFormData("sslurl", editsslurl, "Secure URL", "T", 0, 255)
            
            
            'Check Boxes
            If form_urlen.Checked = True Then
                pd.AddData("urlen", "Yes", "T")
            Else
                pd.AddData("urlen", "No", "T")
            End If
            If form_urlfix.Checked = True Then
                pd.AddData("urlfix", 1, "N")
            Else
                pd.AddData("urlfix", 0, "N")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" Then
             
                pd.SaveData()
                pd.formerror = "Changes Saved!"
                pd.clearpdshopcache()
                If pd.pdm.shopactivated = "N" Then pd.pdRedirect("setup-activate.aspx")
                pd.gotonextpage()
                 
            End If

        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" id="shopdir" value="<%=pd.pdshopfolder %>" />
            <div>
                <%
                    pd.createadmintab("Settings", "setup-urls.aspx")
                    pd.createadmintab("Directories", "setup-folders.aspx")
                    If pd.demomode <> "Yes" Then pd.createadmintab("License/Activation", "setup-activate.aspx")
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Web Address (Domain/URL)</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <div class="formheading">
                    Domain/Url</div>
                <div>
                    <asp:TextBox class="formfield6" ID="form_url" runat="server" />
                    <input type="button" class="formbutton" onclick="testsite('form_url')" value="Test" /><% If modifyurl <> "Y" Then%><input
                        type="button" class="formbutton" onclick="<%=pd.nextpagefunction%>('setup-urls.aspx?modifyurl=Y')"
                        value="Edit" /><%End If%></div>
                <% If pd.pdm.shopactivated = "Y" And modifyurl <> "Y" And pd.demomode <> "Yes" Then%>
                <div class="helptext">
                    NOTICE: Software has already been activated, changing the URL now may require you
                    to reactivate. We do not recommend changing the URL once activated. You may need
                    to contact the software provider for assistance for re-activation. To modify URL
                    click 'Edit' above.</div>
                <%End If%>
                <div class="formheading">
                    Secure Domain/Url (your https Url, this is optional)</div>
                <div>
                    <asp:TextBox class="formfield6" ID="form_sslurl" runat="server" />
                    <input type="button" class="formbutton" onclick="testsite('form_sslurl')" value="Test" /></div>
                <div class="check_div">
                    <asp:CheckBox ID="form_urlen" runat="server" />
                    Enable Secure Url (https)?</div>
                <div class="helptext">
                    Above you must enter the URLs to the root location of the shop (do not include the
                    &quot;shop&quot; subdirectory in your URL). For example, enter "http://www.yourdomainname.com/"
                    NOT "http://www.yourdomainname.com/shop/"
                </div>
                <div class="check_div">
                    <asp:CheckBox ID="form_urlfix" runat="server" />
                    Force Secure Content on Secure pages?</div>
                <div class="helptext">
                    This options will try to enforce a secure connection, and may resolve &quot;Secure
                    Content&quot; warning messages.&nbsp; NOTE: This option may adversly affect code
                    you inserted that contains references to Scripts or Images hosted outside of the
                    Shop.&nbsp;&nbsp;
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
